<app-loading *ngIf="isLoading"></app-loading>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.employeeCode"
        name="employeeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.promulgate.search.empCode' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.search.empCode' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.employeeName"
        name="employeeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.promulgate.search.empName' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.search.empName' | translate }}"
      >
      </mb-input-text>
    </div>
    <!-- BE -->
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="listPosition"
        mbKeyLabel="name"
        mbKeyValue="id"
        [(ngModel)]="params.position"
        mbLabelText="{{ 'development.proposed-unit.table.position' | translate }}"
        mbPlaceholder="{{ 'development.proposed-unit.table.position' | translate }}"
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon.jobDTOS"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        [(ngModel)]="params.title"
        mbLabelText="{{ 'development.proposed-unit.table.title' | translate }}"
        mbPlaceholder="{{ 'development.proposed-unit.table.title' | translate }}"
      ></mb-select>
    </div>
  </div>
  <div *ngIf="isExpand">
    <div nz-row [nzGutter]="[16, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.unit"
          mbLabelText="{{ 'development.proposed-unit.table.unit' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.formGroupList"
          mbKeyLabel="name"
          mbKeyValue="id"
          [(ngModel)]="params.formGroup"
          mbLabelText="{{ 'development.proposed-unit.table.formGroup' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.formGroup' | translate }}"
          (mbSelect)="getFormByFormGroup($event)"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.formGroupMultipleList"
          mbKeyLabel="formName"
          mbKeyValue="formCode"
          [(ngModel)]="params.form"
          mbLabelText="{{ 'development.proposed-unit.table.form' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.form' | translate }}"
        ></mb-select>
      </div>

      <!-- Cấp pd -->
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
        [mbDataSelects]="dataCommon.issueLevelList"
        mbKeyLabel="name"
        mbKeyValue="code"
          [(ngModel)]="params.issueLevel"
          mbLabelText="{{ 'development.template.search.issueLevel' | translate }}"
          mbPlaceholder="{{ 'development.template.search.issueLevel' | translate }}"
        ></mb-select>
      </div>


      <div nz-col class="gutter-row" nzLg="6">
        <span class="rangeDateTitle">{{ 'development.proposed-unit.table.timeRotationEnd' | translate }}</span>
        <nz-range-picker
          class="rangeDate"
          [(ngModel)]="params.timeCreateIssued"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="listSubmittedProposed"
          mbKeyLabel="name"
          mbKeyValue="code"
          [(ngModel)]="params.proposeStatus"
          mbLabelText="{{ 'development.proposed-unit.table.submittedProposed' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.submittedProposed' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="listApprovalLevel"
          [(ngModel)]="params.autoPrompted"
          mbKeyValue="code"
          mbKeyLabel="name"
          mbPlaceholder="{{ 'development.proposed-unit.table.submittedCommentAuto' | translate }}"
          mbLabelText="{{ 'development.proposed-unit.table.submittedCommentAuto' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="listExtendReason"
          mbKeyLabel="code"
          mbKeyValue="name"
          [(ngModel)]="params.extendReason"
          mbLabelText="{{ 'development.proposed-unit.table.extendReason' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.extendReason' | translate }}"
        ></mb-select>
      </div>


    </div>
  </div>
  <div class="block-action-search">
    <mb-button
      mbButtonAvailableStyle="DEFAULT"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.formLD.button.search' | translate }}"
      (click)="search(1)"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="VERY_LARGE"
      (click)="collapseExpand()"
    >
        <span>
          <em nz-icon nzType="{{ iconStatus }}"></em>
        </span>
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      (click)="exportExcel()"
    >
      <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='search($event)' [tableConfig]="tableConfig" [tableData]="dataTable"
            [heightTable]="heightTable"
            >
  </mb-table>
</mb-table-wrap>

<ng-template #planToDate1Tmpl let-planToDate1="planToDate1">
  {{ planToDate1 | date: 'dd/MM/yyyy' }}
</ng-template>
<ng-template #planToDate2Tmpl let-planToDate2="planToDate2">
  {{ planToDate2 | date: 'dd/MM/yyyy' }}
</ng-template>
<ng-template #effectiveDateTmpl let-effectiveDate="effectiveDate">
  {{ effectiveDate | date: 'dd/MM/yyyy' }}
</ng-template>
<ng-template #lastReminderDateTmpl let-lastReminderDate="lastReminderDate">
  {{ lastReminderDate | date: 'dd/MM/yyyy' }}
</ng-template>

<!-- <ng-template
  #effectiveDate
  let-effectiveDate="effectiveDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="effectiveDate"></em>
  <span class="effectiveDate">{{ effectiveDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template
  #effectiveEndDate
  let-effectiveEndDate="effectiveEndDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="effectiveEndDate"></em>
  <span class="effectiveDate">{{ effectiveEndDate | date: 'dd/MM/yyyy' }}</span>
</ng-template> -->


<!-- nút 3 chấm-->
<ng-template
  #actionTmpl
  let-workProcessId = 'workProcessId'
  let-proposeStatus = 'proposeStatus'

>
  <em
    *ngIf="((isRoleHrdv || isRolePtnl) && unsentStatus === proposeStatus) || isRoleKsptnl"
    nz-icon
    class="listEmpIconButton"
    nz-button
    nzType="more"
    nzTheme="outline"
    nzTrigger="click"
    nz-dropdown
    [nzDropdownMenu]="menu"
    [nzClickHide]="true"
  >
  </em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu>
      <li
        *ngIf="(isRoleHrdv || isRolePtnl) && unsentStatus === proposeStatus"
        nz-button
        nz-menu-item
        class="subButton_dropdown"
        (click)="showModalReasonOrCreate(true, workProcessId)"
      >
        <div class="menu__item">
          <em nz-icon nzType="plus-circle" nzTheme="outline" class="icon_dropdown"></em>
          <span class="subDropdown_label">{{ 'development.proposed-unit.button.createProposal' | translate }}</span>
        </div>
      </li>

      <li
      *ngIf="isRoleKsptnl || isRolePtnl"
        nz-button
        nz-menu-item
        class="subButton_dropdown"
        (click)="showModalReasonOrCreate(false, workProcessId)"
      >
        <div class="menu__item">
          <em nz-icon nzType="edit" nzTheme="outline" class="icon_dropdown"></em>
          <span class="subDropdown_label">{{ 'development.proposed-unit.button.moreReasonForExtension' | translate }}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>
